> ## Documentation Index
> Fetch the complete documentation index at: https://docs.withclasp.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve Group



## OpenAPI

````yaml get /groups/{public_id}
openapi: 3.0.3
info:
  title: ''
  version: 0.0.0
servers: []
security: []
paths:
  /groups/{public_id}:
    get:
      tags:
        - groups
      operationId: groups_retrieve
      parameters:
        - in: path
          name: public_id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Group'
          description: ''
      security:
        - tokenAuth: []
components:
  schemas:
    Group:
      type: object
      properties:
        id:
          type: string
          readOnly: true
          pattern: ^[-a-zA-Z0-9_]+$
        group_number:
          type: string
          maxLength: 255
          description: Unique ID of the employer given by the carrier
        carrier:
          type: string
          description: ID of the carrier this group is associated with
        employer:
          type: string
          description: ID of the employer this group is associated with
      required:
        - carrier
        - employer
        - group_number
  securitySchemes:
    tokenAuth:
      type: http
      scheme: bearer
      description: API Key authentication with required prefix "Bearer"

````